//
// ComEmulDrv serial port bridge driver
//
// Copyright (c) 2002 
// MixW team
// http://www.mixw.net
//

#define COMBUFLEN 50000

#define MAXPAIR 10

typedef struct _SERIAL_DEVICE_EXTENSION 
{

	KSPIN_LOCK IoctlSpinLock;
	KSPIN_LOCK WriteSpinLock;
//	KSPIN_LOCK ReadSpinLock;

	ULONG EventMask;
	ULONG HistoryEvents;

	ULONG BaudRate;
	ULONG RTSstate;
	ULONG DTRstate;

	SERIAL_TIMEOUTS Timeouts;
	SERIAL_LINE_CONTROL Lc;

	CHAR Buffer[COMBUFLEN];

	ULONG BufHead, BufTail;

	struct _SERIAL_DEVICE_EXTENSION* pOther;

    PIRP pWaitIrp;
    PIRP pReadIrp;

	int IsOpen;

} SERIAL_DEVICE_EXTENSION,*PSERIAL_DEVICE_EXTENSION;
